### Property

# Gtk AboutDialog:license-type

since: 4.0

#### Declaration

    property license-type: Gtk.License [ read, write ]

#### Description [src]

The license of the program.

The `GtkAboutDialog` will automatically fill out a standard disclaimer and link the user to the appropriate online resource for the license text.

If `GTK_LICENSE_UNKNOWN` is used, the link used will be the same specified in the `GtkAboutDialog:website` property.

If `GTK_LICENSE_CUSTOM` is used, the current contents of the `GtkAboutDialog:license` property are used.

For any other `GtkLicense` value, the contents of the `GtkAboutDialog:license` property are also set by this property as a side effect.

Type: | `GtkLicense`
Available since: | 4.0

Default value | GTK_LICENSE_UNKNOWN
Getter method | `gtk_about_dialog_get_license_type()`
Setter method | `gtk_about_dialog_set_license_type()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no